Skip to main content
`Ctrl`+`K`

# ECSVHeader

class astropy.io.misc.ecsv.ECSVHeader(n_header, n_empty, n_comment, cols, table_meta, delimiter)

  Bases: `object`

  Class representing the information in an ECSV header.

  Parameters:
    n_header `python:int`

      Total number of header lines in the ECSV file (including empty).

    n_empty `python:int`

      Number of empty lines in the header section.

    n_comment `python:int`

      Number of comment lines in the header section.

    cols `python:list`[`ColumnECSV`]

      List of `ColumnECSV` objects describing the attributes of each column in header.

    table_meta `python:dict`

      Metadata associated with the table, typically parsed from the ECSV header.

    delimiter `python:str`

      Delimiter character used to separate columns in the ECSV file.

  Attributes Summary

  `cols` |
  `delimiter` |
  `n_comment` |
  `n_empty` |
  `n_header` |
  `table_meta` |

  Attributes Documentation

  cols
  delimiter
  n_comment
  n_empty
  n_header
  table_meta